#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;


int main(int argc, char** argv) {
	long long n, q;
	cin >> n >> q;
	long long a[n];
	long long b[q];
	for(long long i = 0; i<n;i++)
	{
		cin >> a[i];
	}
	for(long long i = 0; i<q;i++)
	{
		cin >> b[i];
	}
	sort(a, a+n);
	sort(b, b+q);
	long long k = 0;
	while(b[k]<a[0] && k<q)
	{
		cout << n+1 << endl;
		k++;
	}
	
	int j = 0;
	while(b[k]<=a[n-1] && k<q && j<n)
	{
		if(b[k]==a[j])
		{
			int res = 0;
			int l = j;
			int d = n-1-j;
			if(l>d)
			{
				res = l-1-d;
			}
			else
			{
				res = d-l;
			}
			cout << res << endl;
			k++;
		}
		j++;
	}
	while(k<q)
	{
		cout << n << endl;
		k++;
	}
	return 0;
}